aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDonnie Berkholz <dberkholz@gentoo.org>2009-04-02 09:35:12 -0700
committerDonnie Berkholz <dberkholz@gentoo.org>2009-04-02 09:35:12 -0700
commit5bc6b917b926295f8e3e2087ed1d940d8b515cc5 (patch)
treed2d4134d67bf18895ed68f124f1395537b306950 /sci-visualization
parentabinit: further progress toward a working ebuild. (diff)
downloaddberkholz-5bc6b917b926295f8e3e2087ed1d940d8b515cc5.tar.gz
dberkholz-5bc6b917b926295f8e3e2087ed1d940d8b515cc5.tar.bz2
dberkholz-5bc6b917b926295f8e3e2087ed1d940d8b515cc5.zip
gnuplot: update live ebuild to work with current HEAD.
Rebase off of 4.2.5 ebuild.
Diffstat (limited to 'sci-visualization')
-rw-r--r--sci-visualization/gnuplot/Manifest25
-rw-r--r--sci-visualization/gnuplot/files/gnuplot-3.8j-amd64.diff10
-rw-r--r--sci-visualization/gnuplot/files/gnuplot-4.2.2-disable_texi_generation.patch23
-rw-r--r--sci-visualization/gnuplot/files/gnuplot-4.2.3-disable-texhash.patch15
-rw-r--r--sci-visualization/gnuplot/files/gnuplot-4.2.5-configure-pkgconfig.patch17
-rw-r--r--sci-visualization/gnuplot/files/gnuplot-9999-app-defaults.patch55
-rw-r--r--sci-visualization/gnuplot/files/gnuplot-gentoo-version.patch77
-rw-r--r--sci-visualization/gnuplot/files/header-order.patch44
-rw-r--r--sci-visualization/gnuplot/files/pdflib-6-compat.patch14
-rw-r--r--sci-visualization/gnuplot/gnuplot-9999.ebuild148
10 files changed, 286 insertions, 142 deletions
diff --git a/sci-visualization/gnuplot/Manifest b/sci-visualization/gnuplot/Manifest
index c3f5181..9f3ff4f 100644
--- a/sci-visualization/gnuplot/Manifest
+++ b/sci-visualization/gnuplot/Manifest
@@ -1,19 +1,6 @@
-AUX gnuplot-3.8j-amd64.diff 329 RMD160 fbc9606b2aa9346958eaee3ab9d28732f5356624 SHA1 b00974c5fc81803795c7f5e8144afe78f0214ad1 SHA256 dde4957e83b7e779cf4c290da8349337333bbce1c22c125b15a29008300c3623
-MD5 d6d201e466142a8e19ab7a86da486dde files/gnuplot-3.8j-amd64.diff 329
-RMD160 fbc9606b2aa9346958eaee3ab9d28732f5356624 files/gnuplot-3.8j-amd64.diff 329
-SHA256 dde4957e83b7e779cf4c290da8349337333bbce1c22c125b15a29008300c3623 files/gnuplot-3.8j-amd64.diff 329
-AUX header-order.patch 1692 RMD160 d9b45d996958e41b7b4bbc9d33cdb1018f718dc4 SHA1 2e59302f469c31ee14bbe6b2f1658e571342e7e9 SHA256 d0feb2cd13afae70d558fd3c4d1284383e7ccb4d1d14527d9564ffe0e9b0d7c1
-MD5 6bd90ea3b0173af9fe24085ca37fbfa3 files/header-order.patch 1692
-RMD160 d9b45d996958e41b7b4bbc9d33cdb1018f718dc4 files/header-order.patch 1692
-SHA256 d0feb2cd13afae70d558fd3c4d1284383e7ccb4d1d14527d9564ffe0e9b0d7c1 files/header-order.patch 1692
-AUX pdflib-6-compat.patch 560 RMD160 cb89ecb654a425925b34398a36cb83332fd438e2 SHA1 42d4bb19118e61730a82cabbf4fdbd59bb95c75d SHA256 b1745ad75b58f081b7c9d5dc204f58f519b283aa116e2791c93128026b45700f
-MD5 51225315add3dabcbbbde9e771bba24c files/pdflib-6-compat.patch 560
-RMD160 cb89ecb654a425925b34398a36cb83332fd438e2 files/pdflib-6-compat.patch 560
-SHA256 b1745ad75b58f081b7c9d5dc204f58f519b283aa116e2791c93128026b45700f files/pdflib-6-compat.patch 560
-EBUILD gnuplot-9999.ebuild 4458 RMD160 3e2bf06e025713dcd1100bea469140fcdbc196b1 SHA1 caba25d87d4e6ebfa09252de033bc8d8ef359dd5 SHA256 428a163e6f91bdb8f6c5735ea3e755e37440992103ab1a68563fc61e734eec68
-MD5 6739258f757e44be6435d46895448cc2 gnuplot-9999.ebuild 4458
-RMD160 3e2bf06e025713dcd1100bea469140fcdbc196b1 gnuplot-9999.ebuild 4458
-SHA256 428a163e6f91bdb8f6c5735ea3e755e37440992103ab1a68563fc61e734eec68 gnuplot-9999.ebuild 4458
-MD5 d41d8cd98f00b204e9800998ecf8427e files/digest-gnuplot-9999 0
-RMD160 9c1185a5c5e9fc54612808977ee8f548b2258d31 files/digest-gnuplot-9999 0
-SHA256 e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855 files/digest-gnuplot-9999 0
+AUX gnuplot-4.2.2-disable_texi_generation.patch 763 RMD160 99368c05fe2907f445a49b4d0be782f0384f319e SHA1 17723d5e5a12eef274b6f9216c9a9cbbe05cba1e SHA256 87a3bed1e3be244a511f1cbeb9852484da59decdae75635ae900fbafe5db02f6
+AUX gnuplot-4.2.3-disable-texhash.patch 677 RMD160 b299c7425e735ebad6afa1e2d154190fb2f3fdf8 SHA1 6e5f25a0283b2dd887738d8caee7c92d1905b1cc SHA256 af25fded8998eb48ea0b89f9ce0d5322721088c2b69a360ec7928a7f6115873e
+AUX gnuplot-4.2.5-configure-pkgconfig.patch 484 RMD160 d1d8031382b8062c393fa430eb69f74f68d93c64 SHA1 e749dbd1cf8047a6274182cc0e2317d3f1b09a2e SHA256 58d0c0106337c5f48ad2f75671566556c055eb58ee016c4a125dbc6fd434d1b6
+AUX gnuplot-9999-app-defaults.patch 2482 RMD160 def2e61ba81b4b6c1ad9cf0bcaabff0b2eb9b793 SHA1 5799ecb47e489a3d0fc3fc2df0570139f0051ffe SHA256 c47cf66622cfef530f862a76ddb8870631e876ccd0ce99399702b812707e4298
+AUX gnuplot-gentoo-version.patch 2553 RMD160 6019bd486fd9a69fdb54001af77aba4a1a4a9841 SHA1 c55506aba6349be9e5cd666d469ed9737692fc0d SHA256 6cd8d7e91689744304524123efed11f57b620d28016c64c4982532144081569f
+EBUILD gnuplot-9999.ebuild 5635 RMD160 79e84af238700622efa8c825ceae76bba5bb66fe SHA1 ba36722e41832621f9c24d28c941587e591b76b9 SHA256 7167507aef47f5cafd4b22103c35e3736c7aed4925578675761da002b9ac4294
diff --git a/sci-visualization/gnuplot/files/gnuplot-3.8j-amd64.diff b/sci-visualization/gnuplot/files/gnuplot-3.8j-amd64.diff
deleted file mode 100644
index 04d38dc..0000000
--- a/sci-visualization/gnuplot/files/gnuplot-3.8j-amd64.diff
+++ /dev/null
@@ -1,10 +0,0 @@
---- src/fit.c.orig 2004-04-09 03:12:49.249588328 +0200
-+++ src/fit.c 2004-04-09 03:11:56.805561032 +0200
-@@ -1685,6 +1685,7 @@
- VA_START(args, fmt);
- # if defined(HAVE_VFPRINTF) || _LIBC
- vfprintf(STANDARD, fmt, args);
-+ VA_START(args, fmt);
- vfprintf(log_f, fmt, args);
- # else
- _doprnt(fmt, args, STANDARD);
diff --git a/sci-visualization/gnuplot/files/gnuplot-4.2.2-disable_texi_generation.patch b/sci-visualization/gnuplot/files/gnuplot-4.2.2-disable_texi_generation.patch
new file mode 100644
index 0000000..81d9eee
--- /dev/null
+++ b/sci-visualization/gnuplot/files/gnuplot-4.2.2-disable_texi_generation.patch
@@ -0,0 +1,23 @@
+http://bugs.gentoo.org/194216
+Texinfo source is already shipped, so separate preparation not needed
+and error-prone
+
+--- docs/Makefile.in 2007-10-30 20:35:47.000000000 +0100
++++ docs/Makefile.in 2007-10-30 21:57:52.000000000 +0100
+@@ -348,16 +348,6 @@
+ gnuplot.info: $(srcdir)/gnuplot.texi
+ $(MAKEINFO) -I$(srcdir) $(srcdir)/gnuplot.texi --no-split --output=$@
+
+-# Thanks to Bruce Ravel for doc2texi.el!
+-$(srcdir)/gnuplot.texi: $(srcdir)/doc2texi.el $(srcdir)/gnuplot.doc
+- @echo "Creating texinfo"
+- @if test "$(EMACS)" != no; then \
+- cd $(srcdir) ; \
+- $(EMACS) -batch -l doc2texi.el -f d2t-doc-to-texi ; \
+- else \
+- echo "No emacs found - cannot create texinfo file" ; \
+- fi
+-
+ # this is how to make OS/2 ipfc documentation
+ ipf: gnuplot.ipf
+
diff --git a/sci-visualization/gnuplot/files/gnuplot-4.2.3-disable-texhash.patch b/sci-visualization/gnuplot/files/gnuplot-4.2.3-disable-texhash.patch
new file mode 100644
index 0000000..2c0b0aa
--- /dev/null
+++ b/sci-visualization/gnuplot/files/gnuplot-4.2.3-disable-texhash.patch
@@ -0,0 +1,15 @@
+http://bugs.gentoo.org/201871
+Disable texhash to prevent sandbox violation
+
+--- gnuplot-4.2.3-orig/share/LaTeX/Makefile.am 2006-10-02 23:05:30.000000000 +0200
++++ gnuplot-4.2.3/share/LaTeX/Makefile.am 2008-08-26 20:09:43.000000000 +0200
+@@ -11,8 +11,7 @@
+ installdir=`kpsexpand '$$TEXMFLOCAL'/tex/latex/gnuplot |sed "s%^.*share/%$(prefix)/share/%"` ; \
+ $(top_srcdir)/mkinstalldirs $(DESTDIR)$$installdir ; \
+ if [ ! -f $(DESTDIR)$$installdir/gnuplot.cfg ]; then \
+- $(INSTALL_DATA) $(srcdir)/gnuplot.cfg $(DESTDIR)$$installdir/gnuplot.cfg && \
+- texhash; \
++ $(INSTALL_DATA) $(srcdir)/gnuplot.cfg $(DESTDIR)$$installdir/gnuplot.cfg; \
+ fi ; \
+ fi
+
diff --git a/sci-visualization/gnuplot/files/gnuplot-4.2.5-configure-pkgconfig.patch b/sci-visualization/gnuplot/files/gnuplot-4.2.5-configure-pkgconfig.patch
new file mode 100644
index 0000000..7089de6
--- /dev/null
+++ b/sci-visualization/gnuplot/files/gnuplot-4.2.5-configure-pkgconfig.patch
@@ -0,0 +1,17 @@
+http://bugs.gentoo.org/233475#c9
+Fix build issue with USE=wxwindows
+Patch from upstream (did not make it into gnuplot-4.2.5)
+
+--- configure.in 8 May 2007 22:42:53 -0000 1.219
++++ configure.in 16 Jul 2007 21:58:43 -0000 1.220
+@@ -853,6 +853,10 @@
+ cp ${srcdir}/tutorial/eg3.dat tutorial
+ fi
+
++dnl explicit call to PKG_PROG_PKG_CONFIG because the first call to
++dnl PKG_CHECK_MODULES may not happen
++PKG_PROG_PKG_CONFIG
++
+ dnl wxWidgets terminal
+
+ dnl wxWidgets terminal needs C++
diff --git a/sci-visualization/gnuplot/files/gnuplot-9999-app-defaults.patch b/sci-visualization/gnuplot/files/gnuplot-9999-app-defaults.patch
new file mode 100644
index 0000000..e2506df
--- /dev/null
+++ b/sci-visualization/gnuplot/files/gnuplot-9999-app-defaults.patch
@@ -0,0 +1,55 @@
+http://bugs.gentoo.org/219323
+Don't store resource files in deprecated location
+Reported upstream: http://sourceforge.net/tracker/index.php?func=detail&aid=1953742&group_id=2055&atid=102055
+
+diff -ur gnuplot.orig/configure.in gnuplot/configure.in
+--- gnuplot.orig/configure.in 2009-04-02 09:22:36.000000000 -0700
++++ gnuplot/configure.in 2009-04-02 09:22:49.000000000 -0700
+@@ -1026,6 +1026,10 @@
+ fi
+ AC_SUBST(LISPDIR)
+
++dnl Location of application defaults
++AC_ARG_VAR(appdefaultdir,[Directory for application defaults])
++test -z "$appdefaultdir" && appdefaultdir='${sysconfdir}/X11/app-defaults'
++
+ dnl Substitute variables
+ AC_SUBST(PACKAGE)
+ AC_SUBST(VERSION_MAJOR)
+diff -ur gnuplot.orig/share/Makefile.am gnuplot/share/Makefile.am
+--- gnuplot.orig/share/Makefile.am 2009-04-02 09:22:36.000000000 -0700
++++ gnuplot/share/Makefile.am 2009-04-02 09:22:49.000000000 -0700
+@@ -5,8 +5,6 @@
+
+ SUBDIRS = LaTeX
+
+-appdefaultdir = $(libdir)/X11/app-defaults
+-
+ APPDEFAULTFILES = Gnuplot
+
+ appdefault_DATA = $(APPDEFAULTFILES)
+diff -ur gnuplot.orig/src/gplt_x11.c gnuplot/src/gplt_x11.c
+--- gnuplot.orig/src/gplt_x11.c 2009-04-02 09:22:36.000000000 -0700
++++ gnuplot/src/gplt_x11.c 2009-04-02 09:22:49.000000000 -0700
+@@ -4851,7 +4851,9 @@
+ */
+ #define On(v) ( !strncasecmp(v, "on", 2) || !strncasecmp(v, "true", 4) )
+
++#ifndef AppDefDir
+ #define AppDefDir "/usr/lib/X11/app-defaults"
++#endif
+ #ifndef MAXHOSTNAMELEN
+ #define MAXHOSTNAMELEN 64
+ #endif
+diff -ur gnuplot.orig/src/Makefile.am gnuplot/src/Makefile.am
+--- gnuplot.orig/src/Makefile.am 2009-04-02 09:22:36.000000000 -0700
++++ gnuplot/src/Makefile.am 2009-04-02 09:23:53.000000000 -0700
+@@ -30,7 +30,7 @@
+ transform = @program_transform_name@
+ GNUPLOT_X11 = `echo gnuplot_x11 | sed '$(transform)'`$(EXEEXT)
+
+-AM_CPPFLAGS = -I../term -I$(top_srcdir)/term -DBINDIR=\"$(bindir)\" -DX11_DRIVER_DIR=\"$(X11_DRIVER_DIR)\" -DGNUPLOT_PS_DIR=\"$(GNUPLOT_PS_DIR)\" -DGNUPLOT_JS_DIR=\"$(GNUPLOT_JS_DIR)\" -DCONTACT=\"$(EMAIL)\" -DHELPFILE=\"$(HELPFILE)\" -DGNUPLOT_X11=\"$(GNUPLOT_X11)\"
++AM_CPPFLAGS = -I../term -I$(top_srcdir)/term -DBINDIR=\"$(bindir)\" -DX11_DRIVER_DIR=\"$(X11_DRIVER_DIR)\" -DGNUPLOT_PS_DIR=\"$(GNUPLOT_PS_DIR)\" -DGNUPLOT_JS_DIR=\"$(GNUPLOT_JS_DIR)\" -DAppDefDir=\"$(appdefaultdir)\" -DCONTACT=\"$(EMAIL)\" -DHELPFILE=\"$(HELPFILE)\" -DGNUPLOT_X11=\"$(GNUPLOT_X11)\"
+
+ gnuplot_SOURCES = alloc.c alloc.h ansichek.h axis.c axis.h binary.c \
+ breaders.c breaders.h bitmap.c bitmap.h color.c color.h command.c \
diff --git a/sci-visualization/gnuplot/files/gnuplot-gentoo-version.patch b/sci-visualization/gnuplot/files/gnuplot-gentoo-version.patch
new file mode 100644
index 0000000..6c28de6
--- /dev/null
+++ b/sci-visualization/gnuplot/files/gnuplot-gentoo-version.patch
@@ -0,0 +1,77 @@
+diff -ur gnuplot.orig/src/plot.c gnuplot/src/plot.c
+--- gnuplot.orig/src/plot.c 2009-04-02 09:26:55.000000000 -0700
++++ gnuplot/src/plot.c 2009-04-02 09:27:04.000000000 -0700
+@@ -374,9 +374,11 @@
+ " -h, --help\n"
+ " -p --persist\n"
+ " -e \"command1; command2; ...\"\n"
+- "gnuplot %s patchlevel %s\n"
+- "Report bugs to %s\n",
+- gnuplot_version, gnuplot_patchlevel, bug_email);
++ "gnuplot %s patchlevel %s (Gentoo revision %s)\n"
++ "Report bugs to <%s>\n"
++ "or to <%s>\n",
++ gnuplot_version, gnuplot_patchlevel, gentoo_revision,
++ gentoo_bugtracker, bug_email);
+ return 0;
+
+ } else if (!strncmp(argv[i], "-persist", 2) || !strcmp(argv[i], "--persist")) {
+diff -ur gnuplot.orig/src/show.c gnuplot/src/show.c
+--- gnuplot.orig/src/show.c 2009-04-02 09:26:55.000000000 -0700
++++ gnuplot/src/show.c 2009-04-02 09:27:29.000000000 -0700
+@@ -1015,7 +1015,7 @@
+
+ fprintf(fp, "%s\n\
+ %s\t%s\n\
+-%s\tVersion %s patchlevel %s\n\
++%s\tVersion %s patchlevel %s (Gentoo revision %s)\n\
+ %s\tlast modified %s\n\
+ %s\tSystem: %s %s\n\
+ %s\n\
+@@ -1028,10 +1028,11 @@
+ %s\n\
+ %s\tSend comments and help requests to <%s>\n\
+ %s\tSend bug reports and suggestions to <%s>\n\
++%s\tor to <%s>\n\
+ %s\n",
+ p, /* empty line */
+ p, PROGRAM,
+- p, gnuplot_version, gnuplot_patchlevel,
++ p, gnuplot_version, gnuplot_patchlevel, gentoo_revision,
+ p, gnuplot_date,
+ p, os_name, os_rel,
+ p, /* empty line */
+@@ -1042,6 +1043,7 @@
+ p, /* FAQ is at */
+ p, faq_location,
+ p, /* empty line */
++ p, gentoo_bugtracker,
+ p, help_email,
+ p, bug_email,
+ p); /* empty line */
+diff -ur gnuplot.orig/src/version.c gnuplot/src/version.c
+--- gnuplot.orig/src/version.c 2009-04-02 09:26:55.000000000 -0700
++++ gnuplot/src/version.c 2009-04-02 09:27:04.000000000 -0700
+@@ -46,6 +46,9 @@
+
+ const char faq_location[] = FAQ_LOCATION;
+
++const char gentoo_revision[] = GENTOO_REVISION;
++const char gentoo_bugtracker[] = "http://bugs.gentoo.org/";
++
+ char *compile_options = (void *)0; /* Will be loaded at runtime */
+
+ /* #define RELEASE_VERSION 1 */
+diff -ur gnuplot.orig/src/version.h gnuplot/src/version.h
+--- gnuplot.orig/src/version.h 2009-04-02 09:26:55.000000000 -0700
++++ gnuplot/src/version.h 2009-04-02 09:27:04.000000000 -0700
+@@ -47,6 +47,9 @@
+ extern const char bug_email[];
+ extern const char help_email[];
+
++extern const char gentoo_revision[];
++extern const char gentoo_bugtracker[];
++
+ extern char os_name[];
+ extern char os_rel[];
+
diff --git a/sci-visualization/gnuplot/files/header-order.patch b/sci-visualization/gnuplot/files/header-order.patch
deleted file mode 100644
index 82ba590..0000000
--- a/sci-visualization/gnuplot/files/header-order.patch
+++ /dev/null
@@ -1,44 +0,0 @@
---- src/term.h 2004-04-13 19:24:02.000000000 +0200
-+++ src/term.h.new 2004-05-05 11:16:41.216200736 +0200
-@@ -270,6 +270,20 @@
- /****************************************************************************/
- /* These terminals can be used on any system */
-
-+/* NOTE THAT PNG AND JPEG SUPPORT REQUIRE SEPARATE LIBRARIES */
-+/* There are 2 flavors of PNG support */
-+/* If you are using an old version of libgd in order to get true GIF support */
-+/* then the best we can do is use a separate poor-quality PNG driver png.trm */
-+/* But if you are using a newer libgd then it provides full blown support */
-+/* for both PNG and JPEG in term/gd.trm */
-+#ifdef HAVE_LIBPNG
-+# if defined(HAVE_GD_PNG) || defined(HAVE_GD_JPEG)
-+# include "gd.trm"
-+# else
-+# include "png.trm"
-+# endif
-+#endif
-+
- #ifdef X11
- # include "x11.trm" /* X Window System */
- # include "xlib.trm" /* dumps x11 commands to gpoutfile */
-@@ -351,20 +365,6 @@
- # include "pdf.trm"
- #endif
-
--/* NOTE THAT PNG AND JPEG SUPPORT REQUIRE SEPARATE LIBRARIES */
--/* There are 2 flavors of PNG support */
--/* If you are using an old version of libgd in order to get true GIF support */
--/* then the best we can do is use a separate poor-quality PNG driver png.trm */
--/* But if you are using a newer libgd then it provides full blown support */
--/* for both PNG and JPEG in term/gd.trm */
--#ifdef HAVE_LIBPNG
--# if defined(HAVE_GD_PNG) || defined(HAVE_GD_JPEG)
--# include "gd.trm"
--# else
--# include "png.trm"
--# endif
--#endif
--
- /* postscript */
- #include "post.trm"
-
diff --git a/sci-visualization/gnuplot/files/pdflib-6-compat.patch b/sci-visualization/gnuplot/files/pdflib-6-compat.patch
deleted file mode 100644
index 3a25292..0000000
--- a/sci-visualization/gnuplot/files/pdflib-6-compat.patch
+++ /dev/null
@@ -1,14 +0,0 @@
-diff -urN gnuplot-4.0.0.orig/term/pdf.trm gnuplot-4.0.0/term/pdf.trm
---- gnuplot-4.0.0.orig/term/pdf.trm 2004-04-10 08:55:17.000000000 -0700
-+++ gnuplot-4.0.0/term/pdf.trm 2005-05-24 15:33:52.000000000 -0700
-@@ -343,7 +343,9 @@
- myPDF = PDF_new();
-
- /*open new PDF file */
-- if (PDF_open_fp(myPDF, gpoutfile) == -1)
-+ /* HBB FIXME 20040708: PDF_open_file is deprecated, will have to
-+ * be re-done again soon. */
-+ if (PDF_open_file(myPDF, outstr) == -1)
- int_error(NO_CARET, "Error:cannot open PDF file .\n");
-
- #ifdef PDF_DONT_COMPRESS
diff --git a/sci-visualization/gnuplot/gnuplot-9999.ebuild b/sci-visualization/gnuplot/gnuplot-9999.ebuild
index 2ba5f8d..3f14240 100644
--- a/sci-visualization/gnuplot/gnuplot-9999.ebuild
+++ b/sci-visualization/gnuplot/gnuplot-9999.ebuild
@@ -1,36 +1,45 @@
-# Copyright 1999-2006 Gentoo Foundation
+# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sci-visualization/gnuplot/gnuplot-4.0-r1.ebuild,v 1.2 2006/03/24 16:40:14 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/sci-visualization/gnuplot/gnuplot-4.2.5.ebuild,v 1.3 2009/04/01 20:26:54 ulm Exp $
-inherit cvs eutils elisp-common wxwidgets
+EAPI=2
+WX_GTK_VER="2.8"
+inherit autotools cvs elisp-common eutils multilib wxwidgets
ECVS_SERVER="gnuplot.cvs.sourceforge.net:/cvsroot/gnuplot"
ECVS_MODULE="gnuplot"
-#MY_P="${P}.0"
+MY_P="${P/_/.}"
DESCRIPTION="Command-line driven interactive plotting program"
HOMEPAGE="http://www.gnuplot.info/"
-#SRC_URI="mirror://sourceforge/gnuplot/${MY_P}.tar.gz"
+#SRC_URI="mirror://sourceforge/gnuplot/${MY_P}.tar.gz
+# mirror://gentoo/${P}-lua-term.patch.bz2"
LICENSE="gnuplot"
SLOT="0"
-KEYWORDS="alpha amd64 ~hppa ia64 ppc ppc-macos ppc64 s390 sparc x86"
-IUSE="doc emacs gd ggi pdf plotutils png readline svga X xemacs wxwindows"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~x86-fbsd"
+IUSE="doc emacs gd ggi latex lua pdf plotutils readline svga wxwindows X xemacs"
+RESTRICT="wxwindows? ( test )"
RDEPEND="
- xemacs? ( virtual/xemacs )
+ xemacs? ( virtual/xemacs app-xemacs/texinfo app-xemacs/xemacs-base )
emacs? ( virtual/emacs !app-emacs/gnuplot-mode )
pdf? ( media-libs/pdflib )
+ lua? ( >=dev-lang/lua-5.1 )
ggi? ( media-libs/libggi )
- png? ( media-libs/libpng )
- gd? ( >=media-libs/gd-2 )
- doc? ( virtual/tetex )
+ gd? ( >=media-libs/gd-2[png] )
+ doc? ( virtual/latex-base
+ virtual/ghostscript )
+ latex? ( virtual/latex-base
+ lua? ( dev-tex/pgf
+ || ( >=dev-texlive/texlive-latexrecommended-2008-r2
+ =dev-texlive/texlive-xetex-2007* ) ) )
X? ( x11-libs/libXaw )
svga? ( media-libs/svgalib )
readline? ( >=sys-libs/readline-4.2 )
plotutils? ( media-libs/plotutils )
- wxwindows? ( =x11-libs/wxGTK-2.6*
+ wxwindows? ( =x11-libs/wxGTK-2.8*
>=x11-libs/cairo-0.9
>=x11-libs/pango-1.10.3
>=x11-libs/gtk+-2.8 )"
@@ -38,26 +47,32 @@ DEPEND="${RDEPEND}
dev-util/pkgconfig"
S=${WORKDIR}/${PN}
+E_SITEFILE="50${PN}-gentoo.el"
+TEXMF="/usr/share/texmf-site"
-E_SITEFILE="50gnuplot-gentoo.el"
-
-src_unpack() {
- cvs_src_unpack
- cd "${S}"
- ./prepare
+pkg_setup() {
+ use wxwindows && wxwidgets_pkg_setup
}
-#src_unpack() {
-# unpack ${A}
-# cd ${S}
-# epatch ${FILESDIR}/header-order.patch
-# epatch ${FILESDIR}/pdflib-6-compat.patch
-#}
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-4.2.2-disable_texi_generation.patch #194216
+ epatch "${FILESDIR}"/${PN}-9999-app-defaults.patch #219323
+ epatch "${FILESDIR}"/${PN}-4.2.3-disable-texhash.patch #201871
+ # Add Gentoo version identification since the licence requires it
+ epatch "${FILESDIR}"/${PN}-gentoo-version.patch
-src_compile() {
- if use wxwindows; then
- WX_GTK_VER="2.6"
- need-wxwidgets unicode
+ ./prepare # runs autotools stuff, as well as a lot of other things
+# eautoreconf
+}
+
+src_configure() {
+ # See bug #156427.
+ if use latex ; then
+ sed -i -e "s:\`kpsexpand.*\`:${TEXMF}/tex/latex/${PN}:" \
+ share/LaTeX/Makefile.in || die
+ else
+ sed -i \
+ -e '/^SUBDIRS/ s/LaTeX//' share/LaTeX/Makefile.in || die
fi
local myconf="--with-gihdir=/usr/share/${PN}/gih"
@@ -65,13 +80,15 @@ src_compile() {
myconf="${myconf} $(use_with X x)"
myconf="${myconf} $(use_with svga linux-vga)"
myconf="${myconf} $(use_with gd)"
- myconf="${myconf} $(use_with wxwindows wxwidgets)"
- myconf="${myconf} $(use_with plotutils plot /usr/lib)"
- myconf="${myconf} $(use_with png png /usr/lib)"
- myconf="${myconf} $(use_with pdf pdf /usr/lib)"
+ myconf="${myconf} $(use_enable wxwindows wxwidgets)"
+ myconf="${myconf} $(use_with plotutils plot /usr/$(get_libdir))"
+ myconf="${myconf} $(use_with pdf pdf /usr/$(get_libdir))"
+ myconf="${myconf} $(use_with lua)"
+ myconf="${myconf} $(use_with doc tutorial)"
use ggi \
- && myconf="${myconf} --with-ggi=/usr/lib --with-xmi=/usr/lib" \
+ && myconf="${myconf} --with-ggi=/usr/$(get_libdir)
+ --with-xmi=/usr/$(get_libdir)" \
|| myconf="${myconf} --without-ggi"
use readline \
@@ -80,57 +97,70 @@ src_compile() {
myconf="${myconf} --without-lisp-files"
+ TEMACS=no
+ use xemacs && TEMACS=xemacs
+ use emacs && TEMACS=emacs
+
+ CFLAGS="${CFLAGS} -DGENTOO_REVISION=\\\"${PR}\\\"" \
+ EMACS=${TEMACS} \
+ econf ${myconf} || die
+}
+
+src_compile() {
+ # Prevent access violations, see bug 201871
+ VARTEXFONTS="${T}/fonts"
+
# This is a hack to avoid sandbox violations when using the Linux console.
# Creating the DVI and PDF tutorials require /dev/svga to build the
# example plots.
addwrite /dev/svga:/dev/mouse:/dev/tts/0
- econf ${myconf} || die
emake || die
if use doc ; then
cd docs
- make pdf || die
+ emake pdf || die
cd ../tutorial
- make pdf || die
+ emake pdf || die
fi
}
src_install () {
- make DESTDIR=${D} install || die
+ emake DESTDIR="${D}" install || die
if use emacs; then
cd lisp
- einfo "Configuring gnuplot-mode for emacs..."
- EMACS="emacs" lispdir="/usr/share/emacs/site-lisp/${PN}" econf || die
- make DESTDIR=${D} install || die
- make clean
+ einfo "Configuring gnuplot-mode for GNU Emacs..."
+ EMACS="emacs" econf --with-lispdir="${SITELISP}/${PN}" || die
+ emake DESTDIR="${D}" install || die
+ emake clean
cd ..
# Gentoo emacs site-lisp configuration
- string="(add-to-list 'load-path \"/usr/share/emacs/site-lisp/${PN}\")"
- echo -e ";;; Gnuplot site-lisp configuration\n\n${string}\n" > ${E_SITEFILE}
- sed '/^;; move/,+4 d' lisp/dotemacs >> ${E_SITEFILE}
+ echo -e "\n;;; ${PN} site-lisp configuration\n" > ${E_SITEFILE}
+ echo -e "(add-to-list 'load-path \"@SITELISP@\")\n" >> ${E_SITEFILE}
+ sed '/^;; move/,+3 d' lisp/dotemacs >> ${E_SITEFILE}
elisp-site-file-install ${E_SITEFILE}
fi
if use xemacs; then
cd lisp
- einfo "Configuring gnuplot-mode for xemacs..."
- EMACS="xemacs" lispdir="/usr/lib/xemacs/site-packages/${PN}" econf || die
- make DESTDIR=${D} install || {
- ewarn "Compiling/installing gnuplot-mode for xemacs has failed."
- ewarn "I need xemacs-base to be installed before I can compile"
- ewarn "the gnuplot-mode lisp files for xemacs successfully."
- ewarn "Please try re-emerging me after app-xemacs/xemacs-base"
- ewarn "has been successfuly emerged."
- die
- }
+ einfo "Configuring gnuplot-mode for XEmacs..."
+ EMACS="xemacs" \
+ econf --with-lispdir="/usr/lib/xemacs/site-packages/${PN}" || die
+ emake DESTDIR="${D}" install || die
cd ..
fi
+ if use latex && use lua; then
+ # install style file in an (additional) place where TeX can find it
+ insinto "${TEXMF}/tex/latex/${PN}"
+ doins term/lua/gnuplot-lua-tikz.sty || die
+ fi
- dodoc BUGS ChangeLog FAQ NEWS PATCHLEVEL PGPKEYS PORTING README* TODO VERSION
+ dodoc BUGS ChangeLog FAQ NEWS PATCHLEVEL PGPKEYS PORTING README* \
+ TODO VERSION
+ use lua && newdoc term/lua/README README-lua
if use doc; then
# Demo files
@@ -146,10 +176,17 @@ src_install () {
insinto /usr/share/doc/${PF}/psdoc
doins docs/psdoc/{*.doc,*.tex,*.ps,*.gpi,README}
fi
+
+ if ! use X; then
+ # see bug 194527
+ rm -rf "${D}/usr/$(get_libdir)/X11"
+ fi
}
pkg_postinst() {
use emacs && elisp-site-regen
+ use latex && texmf-update
+
if use svga ; then
einfo "In order to enable ordinary users to use SVGA console graphics"
einfo "gnuplot needs to be set up as setuid root. Please note that"
@@ -160,4 +197,5 @@ pkg_postinst() {
pkg_postrm() {
use emacs && elisp-site-regen
+ use latex && texmf-update
}